Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class LessThanPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.LessThanPtg

public class LessThanPtg
extends OperationPtg

Less than operator PTG "<". The SID is taken from the Openoffice.orgs Documentation of the Excel File Format, Table 3.5.7

Author:
  Cameron Riley (criley at ekmail.com)

Field Summary
`static byte` | `sid` the sid for the less than operator as hex
`static int` | `SIZE` the size of the Ptg

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`LessThanPtg()` Constructor.
`LessThanPtg(byte[] data, int offset)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Implementation of clone method from Object
`byte` | `getDefaultOperandClass()` Get the default operands class value
`int` | `getNumberOfOperands()` Get the number of operands for the Less than operator
`int` | `getSize()` Get the size of the sid
`int` | `getType()` Get the type of PTG for Less Than
`java.lang.String` | `toFormulaString(java.lang.String[] operands)` Implementation of method from OperationsPtg
`java.lang.String` | `toFormulaString(Workbook book)` Implementation of method from Ptg
`void` | `writeBytes(byte[] array, int offset)` Write the sid to an array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

  the size of the Ptg

  See Also:
    Constant Field Values

### sid

    public static final byte sid

  the sid for the less than operator as hex

  See Also:
    Constant Field Values

Constructor Detail

### LessThanPtg

    public LessThanPtg()

  Constructor. Creates new LessThanPtg

### LessThanPtg

    public LessThanPtg(byte[] data,
                       int offset)

  Constructor. Create a new LessThanPtg.

Parameters:
  `data` - the byte array to have the PTG added to
  `offset` - the offset to the PTG to.

Method Detail

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Write the sid to an array

  Specified by:
    `writeBytes` in class `Ptg`
  Parameters:
    `array` - the array of bytes to write the sid to
    `offset` - the offset to add the sid to

### getSize

    public int getSize()

  Get the size of the sid

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    int the size of the sid in terms of byte additions to an array

### getType

    public int getType()

  Get the type of PTG for Less Than

  Specified by:
    `getType` in class `OperationPtg`
  Returns:
    int the identifier for the type

### getNumberOfOperands

    public int getNumberOfOperands()

  Get the number of operands for the Less than operator

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`
  Returns:
    int the number of operands

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Implementation of method from Ptg

  Specified by:
    `toFormulaString` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  Implementation of method from OperationsPtg

  Specified by:
    `toFormulaString` in class `OperationPtg`
  Parameters:
    `operands` - a String array of operands
  Returns:
    String the Formula as a String
  See Also:
    `OperationPtg.getNumberOfOperands()`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Get the default operands class value

  Overrides:
    `getDefaultOperandClass` in class `OperationPtg`
  Returns:
    byte the Ptg Class Value as a byte from the Ptg Parent object

### clone

    public java.lang.Object clone()

  Implementation of clone method from Object

  Specified by:
    `clone` in class `Ptg`
  Returns:
    Object a clone of this class as an Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.